ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
category
base
contact-us
cover
curation
epg
episode
navigation
notice
page
payment/purchase
    Checkout purchased product by Apple AppStorepostCheckout purchased product by Authorize.netpostCheckout purchased product by Google PlayStorepostGet product info to purchaseget
payment
playback
program
programs
search
tv-guide
user/change-email
user
continuous-watching
user/favorites
user/qr-login
user/reset-password
user/social-auth
user/verify-email
Schemas
powered by Zudoku
ODX/V2 API
ODX/V2 API

payment/purchase


Checkout purchased product by Apple AppStore

POST
https://odkmedia.io/odx/api/v2
/payment/checkout/apple/{product_code}/

Checkout purchased product by Apple AppStore › path Parameters

product_code
​string · uuid · required

Checkout purchased product by Apple AppStore › query Parameters

debug
​string

If value is "on", debug is included in response.

Checkout purchased product by Apple AppStore › Headers

Service-Name
​string · enum · required
Enum values:
odk
odc
odv
odl
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Checkout purchased product by Apple AppStore › Request Body

OdxV2PaymentCheckoutApplePost
receipt
​string · required

Checkout purchased product by Apple AppStore › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/checkout/apple/{product_code}/
curl https://odkmedia.io/odx/api/v2/payment/checkout/apple/:product_code \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "receipt": "receipt" }'
Example Request Body
{ "receipt": "receipt" }
json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "product_code": "00000000-0000-0000-0000-000000000000", "slug": "slug" } }
json
application/json

Checkout purchased product by Authorize.net

POST
https://odkmedia.io/odx/api/v2
/payment/checkout/aznet/{product_code}/

Checkout purchased product by Authorize.net › path Parameters

product_code
​string · uuid · required

Checkout purchased product by Authorize.net › query Parameters

debug
​string

If value is "on", debug is included in response.

Checkout purchased product by Authorize.net › Headers

Service-Name
​string · enum · required
Enum values:
odk
odc
odv
odl
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Checkout purchased product by Authorize.net › Request Body

OdxV2PaymentCheckoutAznetPost
data_description
​string · minLength: 1 · required
data_value
​string · minLength: 1 · required
zipcode
​string

Checkout purchased product by Authorize.net › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/checkout/aznet/{product_code}/
curl https://odkmedia.io/odx/api/v2/payment/checkout/aznet/:product_code \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "data_description": "data_description", "data_value": "data_value", "zipcode": "zipcode" }'
Example Request Body
{ "data_description": "data_description", "data_value": "data_value", "zipcode": "zipcode" }
json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "product_code": "00000000-0000-0000-0000-000000000000", "program_slug": "program_slug", "slug": "slug" } }
json
application/json

Checkout purchased product by Google PlayStore

POST
https://odkmedia.io/odx/api/v2
/payment/checkout/google/{product_code}/

Checkout purchased product by Google PlayStore › path Parameters

product_code
​string · uuid · required

Checkout purchased product by Google PlayStore › query Parameters

debug
​string

If value is "on", debug is included in response.

Checkout purchased product by Google PlayStore › Headers

Service-Name
​string · enum · required
Enum values:
odk
odc
odv
odl
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Checkout purchased product by Google PlayStore › Request Body

OdxV2PaymentCheckoutGooglePost
receipt
​string · required

Checkout purchased product by Google PlayStore › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/checkout/google/{product_code}/
curl https://odkmedia.io/odx/api/v2/payment/checkout/google/:product_code \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "receipt": "receipt" }'
Example Request Body
{ "receipt": "receipt" }
json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "product_code": "00000000-0000-0000-0000-000000000000", "slug": "slug" } }
json
application/json

Get product info to purchase

GET
https://odkmedia.io/odx/api/v2
/payment/product_info/{product_code}/

Get product info to purchase › path Parameters

product_code
​string · uuid · required

Get product info to purchase › query Parameters

debug
​string

If value is "on", debug is included in response.

Get product info to purchase › Headers

Service-Name
​string · enum · required
Enum values:
odk
odc
odv
odl
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

Get product info to purchase › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
GET/payment/product_info/{product_code}/
curl https://odkmedia.io/odx/api/v2/payment/product_info/:product_code \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "az_client_key": "az_client_key", "az_login_id": "az_login_id", "product_code": "00000000-0000-0000-0000-000000000000", "product_price": 0, "product_title": "product_title", "program_slug": "program_slug", "slug": "slug", "tier": "tier" } }
json
application/json

pagepayment